Bug 139083 - Cannot enable Groovy support in Java project
Cannot enable Groovy support in Java project
Status: VERIFIED FIXED
Product: groovy
Classification: Unclassified
Component: Code
6.x
All All
: P1 (vote)
: 6.x
Assigned To: martin_adamek
issues@groovy
http://statistics.netbeans.org/except...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-05 18:44 UTC by dynamite
Modified: 2008-10-30 14:24 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description dynamite 2008-07-05 18:44:51 UTC
The standard NetBeans Java project type has a checkbox in its properties to enable Groovy support.  However, this fails
with the exception below as does the attempt to create a new Groovy file in the project.

Build: NetBeans IDE Dev (Build 20080602042246)
VM: Java HotSpot(TM) Client VM, 10.0-b19, Java(TM) SE Runtime Environment, 1.6.0_05-b13
OS: Windows Vista, 6.0, x86
User comments: 
STACKTRACE: (first 10 lines)
java.lang.UnsupportedOperationException: Project in T:\JavaApplication11 of class
org.netbeans.modules.java.j2seproject.J2SEProject has a ProjectClassPathModifierImplementation but it will not handle
classpath/compile for T:\JavaApplication11
        at
org.netbeans.api.java.project.classpath.ProjectClassPathModifier.findExtensible(ProjectClassPathModifier.java:347)
        at org.netbeans.api.java.project.classpath.ProjectClassPathModifier.addLibraries(ProjectClassPathModifier.java:87)
        at org.netbeans.modules.groovy.support.GroovyProjectExtender.addClasspath(GroovyProjectExtender.java:116)
        at org.netbeans.modules.groovy.support.GroovyProjectExtender.enableGroovy(GroovyProjectExtender.java:95)
        at
org.netbeans.modules.groovy.support.customizer.GroovyCustomizer$StoreActionListener.actionPerformed(GroovyCustomizer.java:100)
        at org.netbeans.modules.project.uiapi.CustomizerDialog$OptionListener.storePerformed(CustomizerDialog.java:284)
        at org.netbeans.modules.project.uiapi.CustomizerDialog$OptionListener.access$400(CustomizerDialog.java:188)
        at org.netbeans.modules.project.uiapi.CustomizerDialog$OptionListener$2$1.run(CustomizerDialog.java:246)
        at org.openide.util.Mutex.writeAccess(Mutex.java:433)
        at org.openide.util.Mutex$1R.run(Mutex.java:1305)
Comment 1 Tomas Zezula 2008-07-07 12:56:35 UTC
ClassPathModifier has to be called with source root not project root T:\JavaApplication11
Comment 2 martin_adamek 2008-07-07 13:10:07 UTC
This has been already fixed in trunk. Please use latest build.
Comment 3 Lukas Jungmann 2008-09-29 14:26:16 UTC
v.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo